package com.fr.plugin.wechat.sync;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.wechat.sync.dao.TagRoleDao;
import com.fr.plugin.wechat.sync.entity.TagRoleEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2021/7/29
 **/
public class SyncDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return TagRoleEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return TagRoleDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        SyncDBAccessProvider.dbAccessor = dbAccessor;
    }
}
